import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { ProcessingFileStatus, WorkflowFileStatus } from '@red/domain';

export const workflowFileStatusTranslations: { [key in WorkflowFileStatus]: string } = {
    APPROVED: _('file-status.approved'),
    NEW: _('file-status.new'),
    UNASSIGNED: _('file-status.unassigned'),
    UNDER_APPROVAL: _('file-status.under-approval'),
    UNDER_REVIEW: _('file-status.under-review'),
};

export const processingFileStatusTranslations: { [key in ProcessingFileStatus]: string } = {
    ANALYSE: _('file-status.analyse'),
    NER_ANALYZING: _('file-status.ner-analyzing'),
    PROCESSED: _('file-status.processed'),
    ERROR: _('file-status.error'),
    FULLREPROCESS: _('file-status.full-reprocess'),
    FULL_PROCESSING: _('file-status.full-processing'),
    IMAGE_ANALYZING: _('file-status.image-analyzing'),
    INDEXING: _('file-status.indexing'),
    OCR_PROCESSING: _('file-status.ocr-processing'),
    OCR_PROCESSING_QUEUED: _('file-status.ocr-processing'),
    PROCESSING: _('file-status.processing'),
    REPROCESS: _('file-status.reprocess'),
    SURROUNDING_TEXT_PROCESSING: _('file-status.processing'),
    UNPROCESSED: _('file-status.unprocessed'),
    PRE_PROCESSING: _('file-status.full-processing'),
    PRE_PROCESSING_QUEUED: _('file-status.full-processing'),
    PRE_PROCESSED: _('file-status.processed'),
    TABLE_PARSING_ANALYZING: _('file-status.table-parsing-analyzing'),
    FIGURE_DETECTION_ANALYZING: _('file-status.figure-detection-analyzing'),
};
